import Taro, { Component } from '@tarojs/taro';
import './index.scss'
import { transferImage } from '@utils/tools'
import { reportClient } from '@services/report'

export default class Index extends Component {
    state = {
        show: true,
    }
    static options = {
        addGlobalClass: true,
    };
    static defaultProps = {
        style: {},
        data: []
    }
    componentDidMount() {

    }
    // 报备客户
    reportClient() {

        // const router = Taro.getStorageSync('router')
        // const consultant = this.$router.params.consultant || router.query.consultant || ""
        // const {
        //     userInfo: { person: { phone, tel, userId } }
        // } = this.props
        // // debugger
        // if (consultant && consultant != userId) {
        //     const realPhone = phone || tel
        //     const payload = {
        //         realtyConsultant: consultant, //报备人 置业顾问
        //         phone: realPhone,
        //         showToast: false
        //     }

        //     reportClient(payload).then(res => {
        //         console.log('恭喜您绑定成功')
        //     }).catch(err => {
        //         console.error(err)
        //     })
        // }
    }
    //   悬浮框显示隐藏
    handleClick() {
        setTimeout(() => {
            this.setState({
                show: false
            })
        }, 260)
    }
    handleClickTwo() {
        setTimeout(() => {
            this.setState({
                show: true
            })
        }, 260)
    }
    // 拨打电话
    handleTelClick(data, e) {
        e.stopPropagation()
        Taro.makePhoneCall({
            phoneNumber: data.phone
        })
    }
    handleChatClick(data, e) {
        e.stopPropagation()
        const { personId, name } = this.props
        Taro.navigateTo({
            url: `/pages/im/index?sendId=${personId}&sendName=${encodeURIComponent(name)}&receiverId=${data.id}&receiverName=${encodeURIComponent(data.name)}`
        })
    }
    render() {
        const { show } = this.state
        const { data, style, smallStyle } = this.props
        return (
            <View >
                <View className={show ? "consultant show" : "consultant hide"} style={smallStyle} onClick={this.handleClick}  >
                    <Image src={require('@assets/person/left.png')} className='left-img'></Image>
                    <Image src={transferImage(data.picture || require('@assets/default-avatar.png'))} className='img'></Image>
                    <View className="text">{data.name || ''}</View>
                </View>
                <View className={show ? "consultant-more hide " : "consultant-more more-show "} style={style} >
                    <Image src={require('@assets/person/cancel.png')} onClick={this.handleClickTwo} className='cancel-img'></Image>
                    <Image src={transferImage(data.picture || require('@assets/default-avatar.png'))} className='touxiang'></Image>
                    <View className="text">
                        <View className="name">{data.name || ''}</View>
                        <View className="company">{data.company || ''}</View>
                    </View>
                    <Image src={require('@assets/person/phone.png')} onClick={this.handleTelClick.bind(this, data)} className='phone-img'></Image>
                    <Image src={require('@assets/person/message.png')} onClick={this.handleChatClick.bind(this, data)} className='message-img'></Image>
                </View>
            </View>
        );
    }
}